> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/nfts/refresh-vault-account-tokens",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Refresh vault account tokens

> Updates all tokens and balances per blockchain and vault account.
Learn more about Fireblocks NFT management in the following [guide](https://developers.fireblocks.com/reference/deploy-an-nft-collection).

Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /nfts/ownership/tokens
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/ownership/tokens:
    put:
      tags:
        - NFTs
      summary: Refresh vault account tokens
      description: >-
        Updates all tokens and balances per blockchain and vault account.

        Learn more about Fireblocks NFT management in the following
        [guide](https://developers.fireblocks.com/reference/deploy-an-nft-collection).


        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: updateOwnershipTokens
      parameters:
        - name: blockchainDescriptor
          required: true
          in: query
          description: Blockchain descriptor filter
          schema:
            enum:
              - ETH
              - ETH_TEST5
              - ETH_TEST6
              - POLYGON
              - POLYGON_TEST_MUMBAI
              - AMOY_POLYGON_TEST
              - BASECHAIN_ETH
              - BASECHAIN_ETH_TEST5
              - ETHERLINK
              - ETHERLINK_TEST
              - MANTLE
              - MANTLE_TEST
              - GUN_GUNZILLA
              - GUN_GUNZILLA_TEST
              - ETH_SONEIUM
              - SONEIUM_MINATO_TEST
              - IOTX_IOTEX
              - KLAY_KAIA
              - KLAY_KAIA_TEST
              - APECHAIN
              - APECHAIN_TEST
              - ROBINHOOD_CHAIN_TESTNET_TEST
            type: string
        - name: vaultAccountId
          required: true
          in: query
          description: Vault account filter
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '202':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.nFTs.updateOwnershipTokens(nFTsApiUpdateOwnershipTokensRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.nFTs().updateOwnershipTokens(blockchainDescriptor,
            vaultAccountId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.n_f_ts.update_ownership_tokens(blockchain_descriptor,
            vault_account_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````